apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: postgres-exporter
  namespace: postgres-exporter
spec:
  dependsOn:
    - name: prometheus-stack
      namespace: prometheus-stack
  interval: 5m
  timeout: 10m
  chart:
    spec:
      version: 0.0.2-prod
  values:
    image:
      name: cr.yandex/crp3ccidau046kdj8g9q/postgres-exporter:preprod_21350302
      pullPolicy: IfNotPresent
      pullSecrets:
        - dockerhub
    serviceMonitor:
      enabled: true
      namespace: postgres-exporter
    config:
      datasource:
        host: 192.168.10.8
        user: root
        port: '5432'
        database: postgres
        sslmode: disable
    datasources:
      - name: goalert
        uri: 192.168.10.8:5432/goalert?sslmode=disable
      - name: openobserve
        uri: 192.168.10.8:5432/openobserve?sslmode=disable
      - name: postgres
        uri: 192.168.10.8:5432/postgres?sslmode=disable
      - name: zitadel
        uri: 192.168.10.8:5432/zitadel?sslmode=disable
